Gammalib - Change request #2154

Normalise phase curve values so that average phase curve value is 1
07/18/2017 01:56 PM - KnddlIseder Jirgen

Status: Closed Start date: 07/18/2017
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.4.0

Description

To assure that the spectral component corresponds to the phase average spectrum, the phase curves have to be normalised so that
the average phase curve value equals to 1.

History

#1 - 07/18/2017 05:44 PM - Knodlseder Jiirgen
- Status changed from New to In Progress
- Target version changed from 1.3.1 to 1.4.0

- % Done changed from 0 to 50

| implemented the normalisation of the phase curve values in GModelTemporalPhaseCurve. To have the possibility to use also directly a FITS file
without any normalisation, | added a normalisation flag to the class that can be set using the normalize="0" attribute in the XML file, similar to the flag
used in the diffuse spatial map class. In that way the user has control over the behaviour of class.

By default, the phase curve normalisation is switched on. This means if no normalize attribute is specified, phase curves will be normalised.

The GModelTemporalPhaseCurve::normalise() method has been added to access the normalisation flag.

The documentation has been updated.

Some code needs to be added to the unit test to check the new functionality.

#2 - 07/23/2017 04:19 AM - Knddlseder Jiirgen
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Unit tests added and code merged into devel.
